<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">

    <modelVersion>4.0.0</modelVersion>
    <groupId>org.iri_research.renkan</groupId>
    <artifactId>renkan</artifactId>
    <version>0.7.3</version>
    <packaging>war</packaging>

    <properties>
        <surefire-version>2.16</surefire-version>
        <coweb-version>1.0.1-SNAPSHOT</coweb-version>
        <cowebx-version>1.0</cowebx-version>
        <jersey-version>2.3.1</jersey-version>
        <spring-version>3.2.4.RELEASE</spring-version>
        <spring-data-mongodb-version>1.3.1.RELEASE</spring-data-mongodb-version>
        <spring-security-version>3.1.4.RELEASE</spring-security-version>
        <spring-data-commons-version>1.6.1.RELEASE</spring-data-commons-version>
        <spring-data-jpa-version>1.4.1.RELEASE</spring-data-jpa-version>
        <jetty-plugin-version>8.1.13.v20130916</jetty-plugin-version>
        <jetty-version>8.1.13.v20130916</jetty-version>
        <junit-version>4.11</junit-version>
        <thymeleaf-version>2.1.1.RELEASE</thymeleaf-version>
        <thymeleaf-springsecurity-version>2.1.0.RELEASE</thymeleaf-springsecurity-version>
        <thymeleaf-joda-dialect-version>0.0.3</thymeleaf-joda-dialect-version>
        <cometd-version>2.7.0</cometd-version>
        <jackson-version>2.2.3</jackson-version>
        <joda-version>2.3</joda-version>
        <mongo-driver-version>2.11.3</mongo-driver-version>
        <jaxrs-api-version>2.0</jaxrs-api-version>
        <javax-annotation-version>1.2</javax-annotation-version>
        <javax-inject-version>1</javax-inject-version>
        <javax-servlet-api-version>3.0.1</javax-servlet-api-version>
        <javax-servlet-jstl-version>1.2</javax-servlet-jstl-version>
        <javax-persistence-api-version>1.0.2</javax-persistence-api-version>
        <javax-validation-api-version>1.1.0.Final</javax-validation-api-version>
        <hibernate-validator-version>5.0.1.Final</hibernate-validator-version>
        <slf4j-log4j12-version>1.7.5</slf4j-log4j12-version>
        <nekohtml-version>1.9.19</nekohtml-version>
        <commons-codec-version>1.8</commons-codec-version>
        <bson4jackson-version>2.2.3</bson4jackson-version>
        <fasterxml-java-uuid-generator-version>3.1.3</fasterxml-java-uuid-generator-version>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    </properties>

    <build>
        <defaultGoal>install</defaultGoal>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <version>3.1</version>
                <configuration>
                    <source>1.7</source>
                    <target>1.7</target>
                    <compilerArgs>
                        <arg>-Xlint</arg>
                    </compilerArgs>
                </configuration>
            </plugin>

            <plugin>
                <groupId>org.mortbay.jetty</groupId>
                <artifactId>jetty-maven-plugin</artifactId>
                <version>${jetty-plugin-version}</version>
                <configuration>
                    <scanIntervalSeconds>10</scanIntervalSeconds>
                    <webApp>
                        <contextPath>/renkan</contextPath>
                    </webApp>
                </configuration>
            </plugin>
            
            <plugin>
                <artifactId>maven-war-plugin</artifactId>
                <version>2.3</version>
                <configuration>
                    <archive>
                        <manifest>
                            <addDefaultImplementationEntries>true</addDefaultImplementationEntries>
                            <addDefaultSpecificationEntries>true</addDefaultSpecificationEntries>
                        </manifest>
                    </archive>
                    <overlays>
                        <overlay>
                            <groupId>org.opencoweb</groupId>
                            <artifactId>coweb-javascript</artifactId>
                            <type>war</type>
                            <excludes>
                                <exclude>META-INF/**</exclude>
                                <exclude>WEB-INF/**</exclude>
                            </excludes>
                            <targetPath>lib</targetPath>
                        </overlay>
                        <overlay>
                            <groupId>org.opencoweb.cowebx</groupId>
                            <artifactId>cowebx-widgets-dojo</artifactId>
                            <type>war</type>
                            <excludes>
                                <exclude>META-INF/**</exclude>
                                <exclude>WEB-INF/**</exclude>
                            </excludes>
                            <targetPath>lib/cowebx/dojo</targetPath>
                        </overlay>
                    </overlays>
                    <webResources>
                        <resource>
                            <directory>../client/js</directory>
                            <includes>
                                <include>i18n.js</include>
                                <include>defaults.js</include>
                                <include>full-json.js</include>
                                <include>*-bin.js</include>
                                <include>models.js</include>
                                <include>paper-renderer.js</include>
                                <include>main.js</include>
                            </includes>
                            <targetPath>static/js</targetPath>
                        </resource>
                        <resource>
                            <directory>../client/lib</directory>
                            <targetPath>static/lib</targetPath>
                        </resource>
                        <resource>
                            <directory>../client/css</directory>
                            <includes>
                                <include>*.css</include>
                            </includes>
                            <targetPath>static/css</targetPath>
                        </resource>
                        <resource>
                            <directory>../client/img</directory>
                            <targetPath>static/img</targetPath>
                        </resource>
                        <resource>
                            <directory>../client/data</directory>
                            <includes>
                                <include>properties.json</include>
                            </includes>
                            <targetPath>static/data</targetPath>
                        </resource>
                    </webResources>
                </configuration>
            </plugin>
	        <plugin>
	          <groupId>org.apache.maven.plugins</groupId>
	          <artifactId>maven-surefire-plugin</artifactId>
	          <version>${surefire-version}</version>
	        </plugin>
	        <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-jar-plugin</artifactId>
                <version>2.4</version>
            </plugin>
        </plugins>
    </build>
    <repositories>
        <repository>
            <id>lib</id>
            <name>lib</name>
            <releases>
                <enabled>true</enabled>
                <checksumPolicy>ignore</checksumPolicy>
            </releases>
            <url>file://${project.basedir}/lib</url>
        </repository>
        <repository>
            <id>spring-maven-release</id>
            <name>Spring Maven Release Repository</name>
            <url>http://maven.springframework.org/release</url>
        </repository>
        <repository>
            <id>spring-maven-milestone</id>
            <name>Spring Maven MILESTONE Repository</name>
            <url>http://maven.springframework.org/milestone</url>
        </repository>
        <repository>
            <id>spring-release</id>
            <name>Spring Maven SNAPSHOT Repository</name>
            <url>http://repo.springsource.org/release</url>
        </repository>
    </repositories>
    <dependencies>
        <dependency>  
            <groupId>javax.inject</groupId>  
            <artifactId>javax.inject</artifactId>  
            <version>${javax-inject-version}</version>  
        </dependency>
        <dependency>
            <groupId>javax.servlet</groupId>
            <artifactId>javax.servlet-api</artifactId>
            <version>${javax-servlet-api-version}</version>
        </dependency>
        <dependency>
            <groupId>javax.ws.rs</groupId>
            <artifactId>javax.ws.rs-api</artifactId>
            <version>${jaxrs-api-version}</version>
        </dependency>
        <dependency>
            <groupId>javax.annotation</groupId>
            <artifactId>javax.annotation-api</artifactId>
            <version>${javax-annotation-version}</version>
        </dependency>
        <dependency>
            <groupId>org.cometd.java</groupId>
            <artifactId>bayeux-api</artifactId>
            <version>${cometd-version}</version>
        </dependency>
        <dependency>
            <groupId>org.cometd.java</groupId>
            <artifactId>cometd-java-common</artifactId>
            <version>${cometd-version}</version>
        </dependency>
        <dependency>
            <groupId>org.cometd.java</groupId>
            <artifactId>cometd-java-annotations</artifactId>
            <version>${cometd-version}</version>
        </dependency>
        <dependency>
            <groupId>org.cometd.java</groupId>
            <artifactId>cometd-websocket-jetty</artifactId>
            <version>${cometd-version}</version>
        </dependency>
        <dependency>
            <groupId>org.opencoweb</groupId>
            <artifactId>coweb-bots</artifactId>
            <version>${coweb-version}</version>
        </dependency>
        <dependency>
            <groupId>org.opencoweb</groupId>
            <artifactId>coweb-server</artifactId>
            <version>${coweb-version}</version>
        </dependency>
        <dependency>
            <groupId>org.opencoweb</groupId>
            <artifactId>coweb-javascript</artifactId>
            <version>${coweb-version}</version>
            <type>war</type>
        </dependency>
        <dependency>
            <groupId>org.opencoweb.cowebx</groupId>
            <artifactId>cowebx-widgets-dojo</artifactId>
            <version>${cowebx-version}</version>
            <type>war</type>
        </dependency>
        <dependency>
            <groupId>org.glassfish.jersey.core</groupId>
            <artifactId>jersey-server</artifactId>
            <version>${jersey-version}</version>
        </dependency>
        <!--dependency>
            <groupId>org.glassfish.jersey.media</groupId>
            <artifactId>jersey-media-json-jackson</artifactId>
            <version>${jersey-version}</version>
        </dependency-->
        <dependency>
            <groupId>org.glassfish.jersey.ext</groupId>
            <artifactId>jersey-spring3</artifactId>
            <version>${jersey-version}</version>
        </dependency>
        <dependency>
            <groupId>org.glassfish.jersey.test-framework.providers</groupId>
            <artifactId>jersey-test-framework-provider-grizzly2</artifactId>
            <version>${jersey-version}</version>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>org.mongodb</groupId>
            <artifactId>mongo-java-driver</artifactId>
            <version>${mongo-driver-version}</version>
        </dependency>
        <dependency> 
            <groupId>org.slf4j</groupId>
            <artifactId>slf4j-log4j12</artifactId>
            <version>${slf4j-log4j12-version}</version>
        </dependency>
        <dependency>
            <groupId>org.springframework</groupId>
            <artifactId>spring-core</artifactId>
            <version>${spring-version}</version>
        </dependency>
        <dependency>
            <groupId>org.springframework</groupId>
            <artifactId>spring-context</artifactId>
            <version>${spring-version}</version>
        </dependency>
        <dependency>
            <groupId>org.springframework</groupId>
            <artifactId>spring-web</artifactId>
            <version>${spring-version}</version>
        </dependency>
        <dependency>
            <groupId>org.springframework</groupId>
            <artifactId>spring-test</artifactId>
            <version>${spring-version}</version>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>org.springframework</groupId>
            <artifactId>spring-webmvc</artifactId>
            <version>${spring-version}</version>
        </dependency>        
        <dependency>
            <groupId>org.springframework.data</groupId>
            <artifactId>spring-data-commons</artifactId>
            <version>${spring-data-commons-version}</version>
        </dependency>
        <dependency>
            <groupId>org.springframework.data</groupId>
            <artifactId>spring-data-jpa</artifactId>
            <version>${spring-data-jpa-version}</version>
        </dependency> 
        <dependency>
            <groupId>org.springframework.data</groupId>
            <artifactId>spring-data-mongodb</artifactId>
            <version>${spring-data-mongodb-version}</version>
        </dependency>
        <dependency>
            <groupId>javax.persistence</groupId>
            <artifactId>persistence-api</artifactId>  
            <version>${javax-persistence-api-version}</version>
        </dependency>
        <dependency>
            <groupId>junit</groupId>
            <artifactId>junit</artifactId>
            <version>${junit-version}</version>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>javax.servlet</groupId>
            <artifactId>jstl</artifactId>
            <version>${javax-servlet-jstl-version}</version>
            <scope>runtime</scope>
        </dependency>
        <dependency>
            <groupId>org.thymeleaf</groupId>
            <artifactId>thymeleaf</artifactId>
            <version>${thymeleaf-version}</version>
        </dependency>
        <dependency>
            <groupId>org.thymeleaf</groupId>
            <artifactId>thymeleaf-spring3</artifactId>
            <version>${thymeleaf-version}</version>
        </dependency>
        <dependency>
            <groupId>org.thymeleaf.extras</groupId>
            <artifactId>thymeleaf-extras-springsecurity3</artifactId>
            <version>${thymeleaf-springsecurity-version}</version>
        </dependency>
        <dependency>
            <groupId>org.thymeleaf.extras</groupId>
            <artifactId>thymeleaf-joda-dialect</artifactId>
            <version>${thymeleaf-joda-dialect-version}</version>
        </dependency>
        <dependency>
            <groupId>net.sourceforge.nekohtml</groupId>
            <artifactId>nekohtml</artifactId>
            <version>${nekohtml-version}</version>
        </dependency>
        <dependency>
            <groupId>com.fasterxml.jackson.core</groupId>
            <artifactId>jackson-core</artifactId>
            <version>${jackson-version}</version>
        </dependency>
        <dependency>
            <groupId>com.fasterxml.jackson.core</groupId>
            <artifactId>jackson-databind</artifactId>
            <version>${jackson-version}</version>
        </dependency>
        <dependency>
            <groupId>com.fasterxml.jackson.core</groupId>
            <artifactId>jackson-annotations</artifactId>
            <version>${jackson-version}</version>
        </dependency>
        <dependency>
            <groupId>com.fasterxml.jackson.jaxrs</groupId>
            <artifactId>jackson-jaxrs-json-provider</artifactId>
            <version>${jackson-version}</version>
        </dependency>
        <dependency>
            <groupId>com.fasterxml.jackson.datatype</groupId>
            <artifactId>jackson-datatype-joda</artifactId>
            <version>${jackson-version}</version>
        </dependency>  
        <dependency>
            <groupId>commons-codec</groupId>
            <artifactId>commons-codec</artifactId>
            <version>${commons-codec-version}</version>
        </dependency>
        <dependency>
            <groupId>org.eclipse.jetty.aggregate</groupId>
            <artifactId>jetty-all</artifactId>
            <version>${jetty-version}</version>
        </dependency>
        <dependency>
            <groupId>org.springframework.security</groupId>
            <artifactId>spring-security-core</artifactId>
            <version>${spring-security-version}</version>
        </dependency> 
        <dependency>
            <groupId>org.springframework.security</groupId>
            <artifactId>spring-security-web</artifactId>
            <version>${spring-security-version}</version>
        </dependency> 
        <dependency>
            <groupId>org.springframework.security</groupId>
            <artifactId>spring-security-config</artifactId>
            <version>${spring-security-version}</version>
        </dependency>
        <dependency>
            <groupId>org.springframework.security</groupId>
            <artifactId>spring-security-acl</artifactId>
            <version>${spring-security-version}</version>
        </dependency>
	    <dependency>
            <groupId>org.springframework.security</groupId>
            <artifactId>spring-security-taglibs</artifactId>
            <version>${spring-security-version}</version>
	    </dependency>        
        <dependency>
	       <groupId>de.undercouch</groupId>
	       <artifactId>bson4jackson</artifactId>
	       <version>${bson4jackson-version}</version>
        </dependency>
        <dependency>
            <groupId>joda-time</groupId>
            <artifactId>joda-time</artifactId>
            <version>${joda-version}</version>
        </dependency>
        <dependency>
            <groupId>javax.validation</groupId>
            <artifactId>validation-api</artifactId>
            <version>${javax-validation-api-version}</version>
        </dependency>        
        <dependency>
            <groupId>org.hibernate</groupId>
            <artifactId>hibernate-validator</artifactId>
            <version>${hibernate-validator-version}</version>
        </dependency>
        <dependency>
            <groupId>com.fasterxml.uuid</groupId>
            <artifactId>java-uuid-generator</artifactId>
            <version>${fasterxml-java-uuid-generator-version}</version>
        </dependency>
        <dependency>
            <groupId>org.apache.commons</groupId>
            <artifactId>commons-collections4</artifactId>
            <version>4.0</version>
        </dependency>
    </dependencies>
    <organization>
        <name>IRI</name>
        <url>http://www.iri.centrepompidou.fr</url>
    </organization>
</project>
